Installation problem with CORBA::omniORB

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

Hi all,

I'm trying to install CORBA::omniORB on Linux (Fedora Core 4) but I'm
getting the following compilation error:

g++ -c -D__x86__ -D__linux__ -D__OSVERSION__=2 -I/usr/local/include
-Wdeclaration-after-statement -I/usr/local/include -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -g -DVERSION=\"0.8\"
-DXS_VERSION=\"0.8\" -fpic
cc1plus: warning: command line option "-Wdeclaration-after-statement"
valid for C/ObjC but not for C++ In function void init_forward_request(): error: no matching function for call to
CORBA::TypeCode::PR_exception_tc(const char [46], const char [15],
CORBA::PR_structMember [1], int)
/usr/local/include/omniORB4/CORBA_TypeCode.h:265: note: candidates
static CORBA::TypeCode* CORBA::TypeCode::PR_exception_tc(const char*,
char*, const CORBA::PR_structMember*, CORBA::ULong,
make: *** [server.o] Error 1

I use omniORB 4.1.0, omniifr 2.pre.1, CORBA::omniORB 0.8, gcc 4.0.0
Perl 5.8.8.

I'm pretty much stuck at this point. I tried to google for the error
but without any success. Any ideas what the problem could be are very
much appreciated.

Many thanks in advance,
Constantin Wiemer

Re: Installation problem with CORBA::omniORB

On 19 Feb., 13:29, wrote:
Quoted text here. Click to load it

Just to inform you - it works with omniORB 4.0.7. It seems the module
hasn't been tested with the newest version of omniORB.

Constantin Wiemer

Site Timeline